public class EvaluationOrder {
  public static int getA() {
    System.out.println("getA is 2");
    return 2;
  }
  public static int getB() {
    System.out.println("getB is 3");
    return 3;
  }
  public static int getC() {
    System.out.println("getC is 4");
    return 4;
  }
  public static void main(String[] args) {
    int x = getA() + getB() * getC();
    System.out.println("x = " + x);
  }
}